# Namespace: olx

## olx

### Namespaces

animation
control
format
interaction
layer
parser
render
source
style
tilegrid

### Type Definitions

#### olx.AttributionOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `html` | string |  | HTML markup for this attribution.
  `tileRanges` | Object.<string, Array.<ol.TileRange>> | undefined | <optional> | Tile ranges (FOR INTERNAL USE ONLY).

#### olx.DeviceOptions{Object} experimental

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `loadTilesWhileAnimating` | boolean | undefined | When set to false, no tiles will be loaded while animating, which improves responsiveness on devices with slow memory. Default is `true`.
  `loadTilesWhileInteracting` | boolean | undefined | When set to false, no tiles will be loaded while interacting, which improves responsiveness on devices with slow memory. Default is `true`.

#### olx.DeviceOrientationOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `tracking` | boolean | undefined | <optional> | Start tracking. Default is `false`.

#### olx.FeatureOverlayOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `features` | Array.<ol.Feature> | ol.Collection | undefined | <optional> | Features.
  `map` | ol.Map | undefined | <optional> | Map.
  `style` | ol.style.Style | Array.<ol.style.Style> | ol.feature.StyleFunction | undefined | <optional> | Feature style.

#### olx.FrameState{Object} experimental

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `pixelRatio` | number |
  `time` | number |
  `view2DState` | olx.View2DState |

#### olx.GeolocationOptions{Object} experimental

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `tracking` | boolean | undefined | <optional> | Start Tracking. Default is `false`.
  `trackingOptions` | GeolocationPositionOptions | undefined | <optional> | Tracking options. See http://www.w3.org/TR/geolocation-API/#position_options_interface.
  `projection` | ol.proj.ProjectionLike |  | Projection.

#### olx.MapOptions{Object} experimental

  Object literal with config options for the map.

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `controls` | ol.Collection | Array.<ol.control.Control> | undefined | <optional> | Controls initially added to the map.
  `deviceOptions` | olx.DeviceOptions | undefined | <optional> | Device options for the map.
  `pixelRatio` | number | undefined | <optional> | The ratio between physical pixels and device-independent pixels (dips) on the device. If `undefined` then it gets set by using `ol.BrowserFeature.DEVICE_PIXEL_RATIO`.
  `interactions` | ol.Collection | Array.<ol.interaction.Interaction> | undefined | <optional> | Interactions that are initially added to the map.
  `keyboardEventTarget` | Element | Document | string | undefined | <optional> | The element to listen to keyboard events on. This determines when the `KeyboardPan` and `KeyboardZoom` interactions trigger. For example, if this option is set to `document` the keyboard interactions will always trigger. If this option is not specified, the element the library listens to keyboard events on is the map target (i.e. the user-provided div for the map). If this is not `document` the target element needs to be focused for key events to be emitted, requiring that the target element has a `tabindex` attribute.
  `layers` | Array.<ol.layer.Base> | ol.Collection | undefined | <optional> | Layers.
  `ol3Logo` | boolean | undefined | <optional> | Show ol3 logo. Default is `true`.
  `overlays` | ol.Collection | Array.<ol.Overlay> | undefined | <optional> | Overlays initially added to the map.
  `renderer` | ol.RendererType | Array.<(ol.RendererType|string)> | string | undefined | <optional> | Renderer.
  `target` | Element | string | undefined | <optional> | The container for the map.
  `view` | ol.IView | undefined | <optional> | The map's view.

#### olx.OverlayOptions{Object} experimental

  Object literal with config options for the overlay.

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `element` | Element | undefined | <optional> | The overlay element.
  `position` | ol.Coordinate | undefined | <optional> | The overlay position in map projection.
  `positioning` | ol.OverlayPositioning | string | undefined | <optional> | Positioning.
  `stopEvent` | boolean | undefined | <optional> | Whether event propagation to the map viewport should be stopped. Default is `true`. If `true` the overlay is placed in the same container as that of the controls (`ol-overlaycontainer-stopevent`).
  `insertFirst` | boolean | undefined | <optional> | Whether the overlay is inserted first in the overlay container, or appended. Default is `true`. If the overlay is placed in the same container as that of the controls (see the `stopEvent` option) you will probably set `insertFirst` to `true` so the overlay is displayed below the controls.
  `offsetX` | number | undefined | <optional> | Horizontal offset in pixels. A positive will shift the overlay right. Default is `0`.
  `offsetY` | number | undefined | <optional> | Vertical offset in pixels. A positive will shift the overlay down. Default is `0`.

#### olx.Proj4jsProjectionOptions{Object} experimental

  Object literal with config options for the Proj4js projection.

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `code` | string |  | The SRS identifier code, e.g. `EPSG:31256`.
  `extent` | ol.Extent | undefined | <optional> | The validity extent for the SRS.
  `global` | boolean | undefined | <optional> | Whether the projection is valid for the whole globe. Default is `false`.

#### olx.ProjectionOptions{Object} experimental

  Object literal with config options for the projection.

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `code` | string |  | The SRS identifier code, e.g. `EPSG:4326`.
  `units` | ol.proj.Units | string |  | Units.
  `extent` | ol.Extent | undefined | <optional> | The validity extent for the SRS.
  `axisOrientation` | string | undefined | <optional> | The axis orientation as specified in Proj4. The default is `enu`.
  `global` | boolean | undefined | <optional> | Whether the projection is valid for the whole globe. Default is `false`.

#### olx.View2DOptions{Object} experimental

  Object literal with config options for the view.

  ##### Properties:

  Name | Type | Argument | Description
  --- | --- | --- | ---
  `center` | ol.Coordinate | undefined | <optional> | The initial center for the view. The coordinate system for the center is specified with the `projection` option. Default is `undefined`, and layer sources will not be fetched if this is not set.
  `constrainRotation` | boolean | number | undefined | <optional> | Rotation constraint. `false` means no constraint. `true` means no constraint, but snap to zero near zero. A number constraints the rotation to that number of values. For example, `4` will constrain the rotation to 0, 90, 180, and 270 degrees. The default is `true`.
  `enableRotation` | boolean | undefined | <optional> | Enable rotation. Default is `true`.
  `extent` | ol.Extent | undefined | <optional> | The extent that constrains the center, in other words, center cannot be set outside this extent. Default is `undefined`.
  `maxResolution` | number | undefined | <optional> | The maximum resolution used to determine the resolution constraint. It is used together with `minResolution` (or `maxZoom`) and `zoomFactor`. If unspecified it is calculated in such a way that the projection's validity extent fits in a 256x256 px tile. If the projection is Spherical Mercator (the default) then `maxResolution` defaults to `40075016.68557849 / 256 = 156543.03392804097`.
  `minResolution` | number | undefined | <optional> | The minimum resolution used to determine the resolution constraint. It is used together with `maxResolution` (or `minZoom`) and `zoomFactor`. If unspecified it is calculated assuming 29 zoom levels (with a factor of 2). If the projection is Spherical Mercator (the default) then `minResolution` defaults to `40075016.68557849 / 256 / Math.pow(2, 28) = 0.0005831682455839253`.
  `maxZoom` | number | undefined | <optional> | The maximum zoom level used to determine the resolution constraint. It is used together with `minZoom` (or `maxResolution`) and `zoomFactor`. Default is `28`. Note that if `minResolution` is also provided, it is given precedence over `maxZoom`.
  `minZoom` | number | undefined | <optional> | The minimum zoom level used to determine the resolution constraint. It is used together with `maxZoom` (or `minResolution`) and `zoomFactor`. Default is `0`. Note that if `maxResolution` is also provided, it is given precedence over `minZoom`.
  `projection` | ol.proj.ProjectionLike |  | The projection. Default is `EPSG:3857` (Spherical Mercator).
  `resolution` | number | undefined | <optional> | The initial resolution for the view. The units are `projection` units per pixel (e.g. meters per pixel). An alternative to setting this is to set `zoom`. Default is `undefined`, and layer sources will not be fetched if neither this nor `zoom` are defined.
  `resolutions` | Array.<number> | undefined | <optional> | Resolutions to determine the resolution constraint. If set the `maxResolution`, `minResolution`, `minZoom`, `maxZoom`, and `zoomFactor` options are ignored.
  `rotation` | number | undefined | <optional> | The initial rotation for the view in radians (positive rotation clockwise). Default is `0`.
  `zoom` | number | undefined | <optional> | Only used if `resolution` is not defined. Zoom level used to calculate the initial resolution for the view. The initial resolution is determined using the `ol.View2D#constrainResolution` method.
  `zoomFactor` | number | undefined | <optional> | The zoom factor used to determine the resolution constraint. Default is `2`.

#### olx.View2DState{Object} experimental

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `center` | ol.Coordinate |
  `resolution` | number |
  `rotation` | number |